
#include "ipx/ipx.h"
#include "ipx/close.h"
#include "fs/common/fsmes.h"
#include "common/errno.h"


PUBLIC int ipx_do_close(void) {

//1. overeni platnosti deskriptoru

	int fd_index;			// Index do tabulky soketu (TOS).
	int free;			// Prave uvolnovany buffer.
	int begin;			// Pocatecni index kruhoveho bufferu soketu.
	int end;			// Koncovy index kruhoveho bufferu soketu.
	int* bff;			// Ukazatel na kruhovy buffer soketu.
	int i;				// The i.

	fd_index = fs_msg.ipx_rw_fd - IPX_SOCK_PREF;
	begin = ipx_tos[fd_index].buf_start;
	end = ipx_tos[fd_index].buf_len + begin;
	bff = ipx_tos[fd_index].buffers;

	if (ipx_tos[fd_index].in_use_flag == FALSE) {
		fs_repmsg.ipx_rp_err = EIPXSOCK;
		return EIPXSOCK;
	}

//2. vycisteni front

	for (i = begin; i < end; i++) {
		free = bff[i % MAX_SOCK_BUF];
		if (first_buf == -1)
			buffers[free].next = -1;
		else 	buffers[free].next = first_buf;
		first_buf = free;
	}

//3. uvolneni polozky v TOS

	ipx_tos[fd_index].in_use_flag = FALSE;

fs_repmsg.ipx_rp_err = OK;
return OK;
}