
#include "ipx/ipx.h"
#include "ipx/setvar.h"

#define EXTERN
#include "fs/inode/read.h"
#include "fs/common/fsmes.h"
#undef EXTERN

PUBLIC void ipx_set_lnet(void) {

	local_net = fs_msg.ipx_sn_lnet;
}

PUBLIC void ipx_set_lnode(void) {

	local_node.node_h16 = fs_msg.ipx_sn_lnodeh;
	local_node.node_l32 = fs_msg.ipx_sn_lnodel;
}

PUBLIC void ipx_set_gateway(void) {

	gateway.node_h16 = fs_msg.ipx_sg_gatewayh;
	gateway.node_l32 = fs_msg.ipx_sg_gatewayl;
}