
#include "ipx/ipx.h"
#include "ipx/socket.h"
#include "fs/common/fsmes.h"
#include "common/errno.h"


PUBLIC int ipx_do_socket(void) {

//1. zjistit zda jiz neni socket otevren
//2. najit volny zaznam v TOS
//3. vygenerovat handel

	int i;
	int fd;				// File deskriptor.
	int l_port;			// Lokalni port.

	fd = -1;
	l_port = ((fs_msg.ipx_sc_lport_prot & 0xFFFF0000) >> 16);

	for (i = 0; i < MAX_TOS_ELEMENT; i++) {
		if (ipx_tos[i].in_use_flag == FALSE && fd == -1)
			fd = i;
		if (ipx_tos[i].local_port == l_port && ipx_tos[i].in_use_flag == TRUE) {
			fs_repmsg.ipx_rp_err = EIPXSOCK;
			return EIPXSOCK;
		}
	}

// Test jestli jsme nasli volny zaznam v TOS
	if (fd == -1) {
		fs_repmsg.ipx_rp_err = EIPXSOCK;
		return EIPXSOCK;
	}

//4. desifrovat zpravu

	ipx_tos[fd].local_port = l_port;
	ipx_tos[fd].remote_port = ((fs_msg.ipx_sc_rport_rnodeh & 0xFFFF0000) >> 16);
	ipx_tos[fd].remote_node.node_h16 = (fs_msg.ipx_sc_rport_rnodeh & 0xFFFF);
	ipx_tos[fd].remote_node.node_l32 = fs_msg.ipx_sc_rnodel;
	ipx_tos[fd].remote_net = fs_msg.ipx_sc_rnet;
	ipx_tos[fd].device_num = (fs_msg.ipx_sc_devnum & 0xFFFF);
	ipx_tos[fd].in_use_flag = TRUE;
	ipx_tos[fd].wait_proc = -1;
	ipx_tos[fd].buf_start = 0;
	ipx_tos[fd].buf_len = 0;

//5. vratit handel
	fd += IPX_SOCK_PREF;
	fs_repmsg.ipx_rp_fd = fd;
return fd;
}
